<?php
/***********************************************************************************************************************
 * @package		Learning
 * @author		Zahirul Hasan<info@zbabu.com>
 * @copyright	Copyright (c) 2011 - 2019 @ Zahirul Hasan (http://zbabu.com) All rights reserved.
 * @license		http://zbabu.com/license-agreement
 **********************************************************************************************************************/

/**
 * @var \TicTacToe\TicTacToe\Block\TicTacToeBlock $this ;
 */
?>
<!doctype html>
<html lang="en">
    <head >
        <meta charset="utf-8" >
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" >
        <link rel="stylesheet" href="/pub/css/styles.css" >
    </head >
    <body >
        <div class="container-fluid TicTacToe-content" id="tic-tac-toe">
            <div class="container panel">
                <div class="container-fluid control">
                    <button @click="reset()">Re Start</button>
                </div>
                <div class="container-fluid">
                    Player 1:
                </div>
            </div>
            <div class="container board">
                <loader v-bind:style="{display: [isLoading ? 'block' : 'none']}"></loader>
                <component-board
                    v-for="boards in boardData"
                    v-bind:key="boards.key"
                    v-bind:boards="boards"
                    @player-move="playerMove"
                ></component-board>
            </div>
        </div>
        <script src="/pub/js/jquery.js" ></script >
        <script src="/pub/js/vue.js" ></script >
        <script src="/pub/js/tictactoe.js" ></script >
    </body >
</html >